org.eclipse.viatra.query.runtime.rete.recipes

## Interface InputRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Implementing Classes:
    InputRecipeImpl

      public interface InputRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Input Recipe'. Represents input nodes for the Rete network, i.e. nodes that generate input tuples for processing.

  The following features are supported:

  - `Input Key`
  - `Key ID`
  - `Key Arity`
  See Also:
    `RecipesPackage.getInputRecipe()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `java.lang.Object` | `getInputKey()` Returns the value of the 'Input Key' attribute.
    `int` | `getKeyArity()` Returns the value of the 'Key Arity' attribute.
    `java.lang.String` | `getKeyID()` Returns the value of the 'Key ID' attribute.
    `void` | `setInputKey(java.lang.Object value)` Sets the value of the '`Input Key`' attribute.
    `void` | `setKeyArity(int value)` Sets the value of the '`Key Arity`' attribute.
    `void` | `setKeyID(java.lang.String value)` Sets the value of the '`Key ID`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInputKey

          java.lang.Object getInputKey()

      Returns the value of the 'Input Key' attribute.

      If the meaning of the 'Input Key' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Input Key' attribute.
      See Also:
        `setInputKey(Object)`, `RecipesPackage.getInputRecipe_InputKey()`
      Generated:
      Model:
        transient="true"

    - #### setInputKey

          void setInputKey(java.lang.Object value)

      Sets the value of the '`Input Key`' attribute.
      Parameters:
        `value` - the new value of the 'Input Key' attribute.
      See Also:
        `getInputKey()`
      Generated:

    - #### getKeyID

          java.lang.String getKeyID()

      Returns the value of the 'Key ID' attribute. Temporary construct for identifying types over the wire. TODO improve type references
      Returns:
        the value of the 'Key ID' attribute.
      See Also:
        `setKeyID(String)`, `RecipesPackage.getInputRecipe_KeyID()`
      Generated:
      Model:
        unique="false"

    - #### setKeyID

          void setKeyID(java.lang.String value)

      Sets the value of the '`Key ID`' attribute.
      Parameters:
        `value` - the new value of the 'Key ID' attribute.
      See Also:
        `getKeyID()`
      Generated:

    - #### getKeyArity

          int getKeyArity()

      Returns the value of the 'Key Arity' attribute.

      If the meaning of the 'Key Arity' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Key Arity' attribute.
      See Also:
        `setKeyArity(int)`, `RecipesPackage.getInputRecipe_KeyArity()`
      Generated:
      Model:

    - #### setKeyArity

          void setKeyArity(int value)

      Sets the value of the '`Key Arity`' attribute.
      Parameters:
        `value` - the new value of the 'Key Arity' attribute.
      See Also:
        `getKeyArity()`
      Generated:

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Generated:
      Model:
        kind="operation" unique="false" annotation="http://www.eclipse.org/emf/2002/GenModel body='return getKeyArity();'"